@font-face {
    font-family: "grotesk";
    src: url("../alpha/font/HostGrotesk-Medium.ttf");
    font-style: normal;
    font-display: swap;
    font-weight: 200 800;
  }
  
  @font-face {
    font-family: "bold";
    src: url("../alpha/font/HostGrotesk-Bold.ttf");
    font-style: normal;
    font-display: swap;
    font-weight: 200 800;
  }

  html {
    --white: #ffffff;
    --gray-white: #EAEAEA;
    --yellow: #EAEA05;
    --charcoal: #222823;
    --gray: #777777;
    --black: black;
    scroll-behavior: smooth;
  
    --tbody: 'grotesk', Arial, sans-serif;
    --ttitle: 'bold', Arial, sans-serif; 
  
  }


  body {
    background-image: linear-gradient(to right top, #33363b, #272c2f, #1e2223, #161918, #0c0d0c);
    background-repeat: no-repeat;
    background-size: cover; 
    background-position: center; 
    background-attachment: fixed;
    padding: 0 100px;

    color: var(--white);

    /* h1, h2, h3 {
      font-family: var(--ttitle);
    } */
    

    p, h1, h2, h3 {
      font-family: var(--tbody);
    }
  }

  header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    #lh {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      gap: 10px;

      img {
        width: 60px;
        height: auto;
      }
    } 

    .hcolor {
      color: var(--yellow);
    }
  }

  #title {
    justify-self: center;
    margin: 0;
  }

  #assgnmtgrid {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    margin: 50px 0;
  }



  .assignment {
    background-color: var(--gray-white);
    border-radius: 30px;
    padding: 35px;
    width: 1100px;
    color: var(--black);
    

    button {
      font-family: var(--tbody);
      margin: 0;
      padding: 5px 15px;
      color: var(--white);
      background-color: var(--black);
      border: 3px solid var(--black);
      border-radius: 30px;
      box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
      transition: all 0.3s ease-in-out;
      

      a {
          color: var(--white);
          font-size: 18px;
          margin: 0;
          text-decoration: none;
      }
    }

    button:hover {
      color: var(--black);
      background-color: transparent;

      a{
          color: var(--black);
      }
    }

    p {
        color: var(--charcoal);
      }

      .inbox {
        padding: 15px;
        background-color: var(--white);
        margin: 30px;
        border-radius: 30px;
        gap: 20px;
      }

      .inboxin {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        background-color: var(--gray-white);
        padding: 20px;
        margin: 10px;
        border-radius: 20px;
      }


  }

  .imgbox {
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    background-color: var(--gray-white);
    padding: 30px;
    border-radius: 30px;

    .imgtrigger {
        justify-items: center;

        img {
            width: 250px;
            border-radius: 20px;
        }

        h3 {
            color: var(--black);
        }
    }

    .imggrp {
        display:flex;
        flex-direction: row;
        justify-content: space-between;
    
        gap: 30px;
    }

  }

  .animgif {
    width: 1000px;
    border-radius: 30px;
  }





  /* beta build */
  .cardview {
  background: var(--black);
  transition: all 0.4s ease;
  color: var(--white);
  width: fit-content;
  max-width: 1000px;
  height: 500px;
  overflow: hidden;
  border-radius: 10px;
  cursor: pointer;
  display: flex;
  flex-direction: row;

  img{
    width: 400px;
    height: auto;
    object-fit: cover;
    filter: grayscale(100%);
    transform: scale(1);
    transition: all 0.4s ease-in-out;
  }

  .grayy {
    color: var(--gray);
  }

  

  

}


.cardview:hover {
  background: linear-gradient(
    161deg,
    rgba(85, 85, 85, 1) 0%,
    rgba(40, 40, 40, 1) 18%,
    rgba(15, 15, 13, 1) 38%,
    rgba(0, 0, 0, 1) 100%
  );

  img {
    filter: grayscale(0%);
    transform: scale(1.1);
  }
}

.intxt {
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    h3 {
      margin: 0;
    }

    h2 {
      margin-top: 0;
    }

  

    .menu {
      position: relative;
      display: inline-block;
      overflow: hidden;
      width: 230px;
      border-radius: 100px;
      
      

      .btn {
        position: relative;
        width: 70px;
        height: 70px;
        border-radius: 50%;
        background-color: var(--gray);
        display: flex;
        z-index: 3;
        justify-content: center;
        align-items: center;
        transition: all .5s ease-in-out;

        ion-icon {
          font-size: 40px;
          transform: rotate(0deg);
          transition: transform .5s ease-in-out;
        }  
        
      }

      

      
      .submenu {
        width: 150px;
        height: 100%;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        gap: 25px;
        padding: 0 30px;
        background-color: var(--white);
        border-radius: 100px;
        z-index: 1;
        position: absolute;
        top: 0;
        left: 0;
        transform: translateX(-140px);
        pointer-events: none;
        transition: transform .5s ease-in-out;
        overflow: hidden;
        
    

        ion-icon {
          font-size: 30px;
          color: var(--black);
        }
      }

      .favbtn.active {
        color: var(--yellow);
      }
      

    }
  }

    /* When clicked */
    .menu.active {

      .btn ion-icon {
        transform: rotate(135deg);
      }
  }


  .menu.open .submenu {
    transform: translateX(0); /* slides right from btn */
    /* margin-left: -12px; */
    pointer-events: auto;
  }





  

  footer {
    justify-items: center;

    p {
      color: var(--gray);
    }
  }






/* big Tablet */
@media (max-width: 1024px) {
  body {
    padding: 0 50px;
  }

  #assgnmtgrid {
    gap: 20px;
    margin: 40px 0;
  }

  .assignment {
    width: 100%;
    padding: 10px;
  }

  .imgbox {
    padding: 20px;
    gap: 20px;
  }

  .imggrp {
    flex-direction: column;
    gap: 20px;
  }

  .animgif {
    width: 90%;
  }

  .cardview {
    height: auto;
    width: 90%;

    img {
      width: 500px;
      height: auto;
    }
  }

  

  .intxt {
    padding: 20px;
  }

  .menu {
    width: 180px;

    .btn {
      width: 60px;
      height: 60px;
    }

    .submenu {
      width: 120px;
      gap: 15px;
      padding: 0 20px;
      transform: translateX(-110px);

      ion-icon {
        font-size: 24px;
      }
    }

    
  }

  
  
}

/* tablet*/
@media (max-width: 770px) {
  body {
    padding: 0 20px;
  }

  #assgnmtgrid {
    margin: 20px 0;
    gap: 15px;
  }

  .assignment {
    width: 100%;
    padding: 10px;
  }

  .imgbox {
    padding: 15px;
    gap: 15px;
  }

  .imggrp {
    flex-direction: column;
    gap: 15px;
  }

  .animgif {
    width: 100%;
  }

  .cardview {
    height: auto;
    width: 100%;

    img {
      width: 350px;
      height: auto;
    }
  }

  

  .intxt {
    padding: 15px;
  }

  .menu {
    width: 150px;

    .btn {
      width: 50px;
      height: 50px;
    }

    .submenu {
      width: 100px;
      gap: 10px;
      padding: 0 15px;
      transform: translateX(-90px);

      ion-icon {
        font-size: 20px;
      }
    }
  }

  

  .assignment button {
    font-size: 16px;
    padding: 5px 10px;
  }
}

/* Small */
@media (max-width: 480px) {
  body {
    padding: 0 10px;
  }

  #title {
    justify-self: center;
  }

  .assignment {
    padding: 0;
  }

  .imgbox {
    padding: 10px;
    gap: 10px;
  }

  .cardview {
    width: 100%;

    img {
      width: 150px;
    }
  }

  .menu {
    width: 30px;

    .btn {
      width: 25px;
      height: 25px;
    }

    .submenu {
      width: 60px;
      gap: 5px;
      padding: 0 5px;
      transform: translateX(-75px);

      ion-icon {
        font-size: 18px;
      }
    }
  }

  .inboxin {
    display: flex;
    flex-direction: column;
  }

  footer {
    place-items: center;
  }

  
}
